Package wx :: Class HyperlinkEvent

[frames | no frames]

## Type HyperlinkEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        HyperlinkEvent

Proxy of C++ HyperlinkEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
String | `GetURL(self)`
| `SetURL(self, url)`

Property Summary
| `thisown`: The membership flag
| `URL`: See `GetURL` and `SetURL`

Method Details

### __init__(self, generator, id, url)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

### URL

See `GetURL` and `SetURL`

  Get Method:
    `GetURL`(self)
  Set Method:
    `SetURL`(self, url)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:26 2007 | http://epydoc.sf.net